Product Collections
Supprimer un élément du groupe
Retirer un élément de produit d’un groupe de collection de produits.
DELETE
/
product-collections
/
{id}
/
groups
/
{group_id}
/
items
/
{item_id}
JavaScript
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});
await client.productCollections.groups.items.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
id: 'pdc_8BWv0hojwUH7iCDabr0NI',
group_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
client.product_collections.groups.items.delete(
item_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id="pdc_8BWv0hojwUH7iCDabr0NI",
group_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)package main
import (
"context"
"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)
func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
err := client.ProductCollections.Groups.Items.Delete(
context.TODO(),
"pdc_8BWv0hojwUH7iCDabr0NI",
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
if err != nil {
panic(err.Error())
}
}package com.dodopayments.api.example;
import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.productcollections.groups.items.ItemDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();
ItemDeleteParams params = ItemDeleteParams.builder()
.id("pdc_8BWv0hojwUH7iCDabr0NI")
.groupId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.itemId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
client.productCollections().groups().items().delete(params);
}
}package com.dodopayments.api.example
import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.productcollections.groups.items.ItemDeleteParams
fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()
val params: ItemDeleteParams = ItemDeleteParams.builder()
.id("pdc_8BWv0hojwUH7iCDabr0NI")
.groupId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.itemId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build()
client.productCollections().groups().items().delete(params)
}require "dodopayments"
dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)
result = dodo_payments.product_collections.groups.items.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id: "pdc_8BWv0hojwUH7iCDabr0NI",
group_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;
$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);
try {
$result = $client->productCollections->groups->items->delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
id: 'pdc_8BWv0hojwUH7iCDabr0NI',
groupID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using DodoPayments.Client;
using DodoPayments.Client.Models.ProductCollections.Groups.Items;
DodoPaymentsClient client = new();
ItemDeleteParams parameters = new()
{
ID = "pdc_8BWv0hojwUH7iCDabr0NI",
GroupID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
ItemID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
};
await client.ProductCollections.Groups.Items.Delete(parameters);use dodopayments::Client;
#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let id = "id";
let group_id = "group_id";
let item_id = "item_id";
let result = client
.product_collections()
.groups()
.items()
.delete()
.id(id)
.group_id(group_id)
.item_id(item_id)
.await?;
println!("{result:?}");
Ok(())
}curl --request DELETE \
--url https://test.dodopayments.com/product-collections/{id}/groups/{group_id}/items/{item_id} \
--header 'Authorization: Bearer <token>'Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
Product Collection Id
Product Collection Group Id
Collection item Id (product membership in group)
Réponse
Product deleted successfully
Dernière modification le 22 mai 2026
Cette page vous a-t-elle été utile ?
⌘I
JavaScript
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});
await client.productCollections.groups.items.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
id: 'pdc_8BWv0hojwUH7iCDabr0NI',
group_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
client.product_collections.groups.items.delete(
item_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id="pdc_8BWv0hojwUH7iCDabr0NI",
group_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)package main
import (
"context"
"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)
func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
err := client.ProductCollections.Groups.Items.Delete(
context.TODO(),
"pdc_8BWv0hojwUH7iCDabr0NI",
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
if err != nil {
panic(err.Error())
}
}package com.dodopayments.api.example;
import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.productcollections.groups.items.ItemDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();
ItemDeleteParams params = ItemDeleteParams.builder()
.id("pdc_8BWv0hojwUH7iCDabr0NI")
.groupId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.itemId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
client.productCollections().groups().items().delete(params);
}
}package com.dodopayments.api.example
import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.productcollections.groups.items.ItemDeleteParams
fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()
val params: ItemDeleteParams = ItemDeleteParams.builder()
.id("pdc_8BWv0hojwUH7iCDabr0NI")
.groupId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.itemId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build()
client.productCollections().groups().items().delete(params)
}require "dodopayments"
dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)
result = dodo_payments.product_collections.groups.items.delete(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
id: "pdc_8BWv0hojwUH7iCDabr0NI",
group_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
)
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Dodopayments\Client;
use Dodopayments\Core\Exceptions\APIException;
$client = new Client(
bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',
environment: 'test_mode',
);
try {
$result = $client->productCollections->groups->items->delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
id: 'pdc_8BWv0hojwUH7iCDabr0NI',
groupID: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}using DodoPayments.Client;
using DodoPayments.Client.Models.ProductCollections.Groups.Items;
DodoPaymentsClient client = new();
ItemDeleteParams parameters = new()
{
ID = "pdc_8BWv0hojwUH7iCDabr0NI",
GroupID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
ItemID = "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
};
await client.ProductCollections.Groups.Items.Delete(parameters);use dodopayments::Client;
#[tokio::main]
async fn main() -> dodopayments::Result<()> {
let client = Client::from_env()?;
let id = "id";
let group_id = "group_id";
let item_id = "item_id";
let result = client
.product_collections()
.groups()
.items()
.delete()
.id(id)
.group_id(group_id)
.item_id(item_id)
.await?;
println!("{result:?}");
Ok(())
}curl --request DELETE \
--url https://test.dodopayments.com/product-collections/{id}/groups/{group_id}/items/{item_id} \
--header 'Authorization: Bearer <token>'